package com.steering.mes.mcp.entity;

/**
 * 数据库表MIL_SLAB_SCRAP_SEQ所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-06-20
 */
@SuppressWarnings("serial")
public class MilSlabScrapSeqEntity implements java.io.Serializable {
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检 12-交库)
     */
    private String processNo = "";
    /**
     * 管坯序号
     */
    private String seq = "";
    /**
     * 剔除时间
     */
    private String time = "";
    /**
     * 处理标识
     */
    private String flag = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 台号(0-无 1-1#台 2-2#台 3-3#台)
     */
    private String colNo = "";
    /**
     * 类型(0，剔除，1，下线)
     */
    private String colType = "";
    /**
     * 处理结果
     */
    private String handleResult = "";
    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     */
    private String offlineType = "";
    /**
     * 材料号
     */
    private String matNo = "";
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检 12-交库)
     * @return value
     */
    public String getProcessNo() {
        return processNo;
    }

    /**
     * 工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检 12-交库)
     * @param processNo value
     */
    public void setProcessNo(String processNo) {
        this.processNo = processNo;
    }

    /**
     * 管坯序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 管坯序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 剔除时间
     * @return value
     */
    public String getTime() {
        return time;
    }

    /**
     * 剔除时间
     * @param time value
     */
    public void setTime(String time) {
        this.time = time;
    }

    /**
     * 处理标识
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 处理标识
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 台号(0-无 1-1#台 2-2#台 3-3#台)
     * @return value
     */
    public String getColNo() {
        return colNo;
    }

    /**
     * 台号(0-无 1-1#台 2-2#台 3-3#台)
     * @param colNo value
     */
    public void setColNo(String colNo) {
        this.colNo = colNo;
    }

    /**
     * 类型(0，剔除，1，下线)
     * @return value
     */
    public String getColType() {
        return colType;
    }

    /**
     * 类型(0，剔除，1，下线)
     * @param colType value
     */
    public void setColType(String colType) {
        this.colType = colType;
    }

    /**
     * 处理结果
     * @return value
     */
    public String getHandleResult() {
        return handleResult;
    }

    /**
     * 处理结果
     * @param handleResult value
     */
    public void setHandleResult(String handleResult) {
        this.handleResult = handleResult;
    }

    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     * @return value
     */
    public String getOfflineType() {
        return offlineType;
    }

    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     * @param offlineType value
     */
    public void setOfflineType(String offlineType) {
        this.offlineType = offlineType;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }
}